routes/web.php
<?php

use App\Http\Middleware\Authenticate;
use App\Http\Controllers\ProductBacklogController;

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\ScrumTeamController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::group(['middleware' => 'web'], function () {
    /** voeg hier de routes welke zonder authorisatie te bereiken is */
    Route::view('', 'home');

    Route::group(['middleware' => Authenticate::class], function () {
        /** voeg hier de routes welke authorisatie nodig hebben */
        Route::post('search/user', [ScrumTeamController::class, 'searchuser'])->name('searchuser');

        Route::resource('project', 'ProjectController');
        Route::prefix('project/{project}')->group(function () {
            Route::resource('scrumTeam', 'ScrumTeamController');
            Route::resource('sprint', 'SprintController');
            Route::resource('productBackLog', 'ProductBacklogController');
            Route::resource('defOfDone', 'DefOfDoneController');


            Route::prefix('sprint/{sprint}')->group(function () {
                Route::resource('retrospective', 'RetrospectiveController');
                Route::resource('review', 'ReviewController');
                Route::resource('scrumBoard', 'ScrumBoardController');
                Route::resource('sprintBacklog', 'SprintBacklogController');

                //Route::resource('sprintDashboard', 'PagesController');

                Route::resource('dailyStandUp', 'DailyStandUpController');
                Route::prefix('dailyStandUp/{dailyStandUp}')->group(function () {
                    Route::resource('standUpQuestion', 'StandUpQuestionController');
                    Route::resource('standUpAnswer', 'StandUpAnswerController');
                });

                //tijdelijke routes om snelle toegang te krijgen tot view
//            Route::put('sprintBacklog/{sprintBacklog}', [ProductBacklogController::class, 'updatesprintid'])->name('updatesprintid');
                Route::get('sprintDashboard', [PagesController::class, 'sprintDashboard'])->name('sprintDashboard');
            });
        });
    });
});
//    Route::middleware(['auth:sanctum', 'verified'])->get('/project', [ProjectController::class,'index'])->name('dashboard');

resources/views/dailyStandUpForm.blade.php
@extends('layouts.layout')

@section('title')
    Daily Stand Up Form
@endsection

@section('content')
    <header class="bg-primary py-5 mb-5">
        <div class="container h-100">
            <div class="row h-100 align-items-center">
                <div class="col-lg-12">
                    <h1 class="display-4 text-white mt-5 mb-2">Daily Stand Up Form</h1>
                </div>
            </div>
        </div>
    </header>

    <div class="h-100 flex flex-col md:justify-center items-center pt-6 sm:pt-0">
        <div class="w-full md:max-w-md mt-6 px-6 py-4 bg-white shadow-md overflow-hidden md:rounded-lg">
            <form method="POST"
                  action="{{isset($dailyStandUp)?route('dailyStandUp.update', ['project'=> $project, 'sprint'=>$sprint,'dailyStandUp'=>$dailyStandUp]):route('dailyStandUp.store', ['project'=> $project, 'sprint'=>$sprint])}}">
                @csrf
                @if(isset($dailyStandUp))
                    @method('PUT')
                @endif
                <div class="mt-4 border-bottom border-secondary pb-3 clearfix">
                    <label class="block font-medium text-sm text-gray-700" for="standUpDate">Date of the
                        stand-up:</label>
                    @unless(isset($dailyStandUp))
                        <input class="form-input rounded-md shadow-sm block mt-1 col-sm-5" id="standUpDate" type="date"
                               name="standUpDate" autocomplete="standUpDate" required
                               value="{{old('standUpDate')}}">
                        @error('standUpDate')
                        <p class='text-sm text-red-600 mt-2'>{{ $message }}</p>
                        @enderror
                    @else
                        <label>{{$dailyStandUp->stand_up_date}}</label>
                    @endunless
                </div>
                @if(isset($dailyStandUp))
                    <div class="my-4">
                        <div class="list-group">
                            @foreach($dailyStandUp->questions as $question)
                                <div href="#" class="list-group-item list-group-item-action">
                                    {{$question->question}}
                                    <div class="inline-flex items-center justify-end float-right">
                                        <button type="button" data-id="{{$question->id}}"
                                                class="q-dest btn btn-danger inline-flex items-center px-4 py-1 border border-transparent rounded-md font-semibold text-xs uppercase tracking-widest focus:outline-none disabled:opacity-25 transition ease-in-out duration-150 ml-4">
                                            X
                                        </button>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </div>
                @endif

                <div class="mt-4">
                    <label class="block font-medium text-sm text-gray-700" for="question">New question</label>
                    <input class="form-input rounded-md shadow-sm block w-full" id="question" type="text"
                           name="question" autocomplete="question" required
                           value="{{old('question')}}">
                    @error('question')
                    <p class='text-sm text-red-600 mt-2'>{{ $message }}</p>
                    @enderror
                </div>

                <div class="mt-4">
                    <div class="flex items-center justify-end mt-4">
                        <a href="{{(route('dailyStandUp.index',['project'=> $project, 'sprint'=> $sprint]))}}"
                           class="btn inline-flex items-center px-4 py-2 bg-gray-800 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700 active:bg-gray-900 focus:outline-none focus:border-gray-900 focus:shadow-outline-gray disabled:opacity-25 transition ease-in-out duration-150 ml-4">
                            exit
                        </a>
                        <button type="submit"
                                class="inline-flex items-center px-4 py-2 bg-gray-800 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700 active:bg-gray-900 focus:outline-none focus:border-gray-900 focus:shadow-outline-gray disabled:opacity-25 transition ease-in-out duration-150 ml-4">
                            create
                        </button>
                    </div>
                </div>
            </form>

            @if(isset($dailyStandUp))
                @foreach($dailyStandUp->questions as $question)
                    <form method="POST" id="destroy-{{$question->id}}"
                          action="{{route('standUpQuestion.destroy',['project'=> $project, 'sprint'=> $sprint,'dailyStandUp'=> $dailyStandUp,'standUpQuestion'=> $question])}}">
                        @csrf
                        @method('DELETE')
                    </form>
                @endforeach
            @endif
        </div>
    </div>
@endsection

@section('Script')
    <script>
        $(function () {
            $('.q-dest').click(function () {
                let qid = $(this).data('id');
                $('#destroy-' + qid).submit();
            });
        });
    </script>
@endsection

resources/views/home.blade.php
@extends('layouts.layout')

@section('title')
    Home
@endsection

@section('content')
    <body class="bg-olive">
    <div class="container h-100 flex flex-col justify-center items-center pt-6">
        <div class="tracking-in-expand-fwd text-center p-2"
             style="font-size: min(6rem, 7vw); font-weight: 300;line-height: 1.2;">
            Scrumapp<br>
            WFADSD2020<br>
            Team B3
        </div>
        @auth()
            <div class="text-center" style="font-size: min(3.5rem, 4vw); font-weight: 300;line-height: 1.2;">
                Go to your <a class="card-link font-weight-bold" style="color:#012f99;"
                              href="{{route('project.index')}}">
                    <ins>projects</ins>
                </a> and have fun.
            </div>
        @else()
            <div class="tracking-in-expand-fwd-delayed text-center"
                 style="font-size: min(3.5rem, 4vw); font-weight: 300;line-height: 1.2;">
                make an account or login<br/>
                to enjoy convenience of scrumapp.
            </div>
        @endif
    </div>
    </body>
@endsection

resources/views/projectdashboard.blade.php
@extends('layouts.layout')

@section('title')
    Project dashboard
@endsection

@section('content')
    @if(session()->has('destroySprint'))
        <div class="alert alert-danger alert-dismissible" id="destroy-error">
            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
            {{session('destroySprint')}}
        </div>
        @endif

    @if(session()->has('success'))
        <div class="alert alert-success alert-dismissible" id="delete-successfull">
            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
            {{session('success')}}
        </div>
    @endif
    <header class="bg-primary py-5 mb-5">
        <div class="container h-100">
            <div class="row h-100 align-items-center">
                <div class="col-lg-12">
                    <h1 class="display-4 text-white mt-5 mb-2"> {{$project->title}}</h1>
                </div>
            </div>
        </div>
    </header>

    <div class="container">
        <div class="row my-5">
            <div class="col-md-6">
                <div class="card rounded m-2">
                    <div class="card-header h2">Project information
                        @if($project->roleAuth() != 3)
                            <a class="btn float-right bg-warning"
                               href="{{route('project.edit',['project'=>$project])}}">
                                Edit</a>
                        @endif
                    </div>
                    <div class="card-body">
                        {{$project->description}}
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-5">
                                Mission:
                            </div>
                            <div class="col-6">
                                {{$project->mission}}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-5">
                                Vision:
                            </div>
                            <div class="col-6">
                                {{$project->vision}}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-5">
                                Deadline:
                            </div>
                            <div class="col-6">
                                {{date('d F Y',strtotime($project->deadline))}}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-5">
                                Sprint length:
                            </div>
                            <div class="col-6">
                                {{$project->sprintLength}} days
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-6 ">
                <div id="gauge_div" class="h-100 flex flex-col justify-center items-center"></div>
            </div>

        </div>

        <div class="row">
            <div class="col-md-4 mb-5">
                <div class="card h-100">
                    <div class="card-img-top">
                        <img class="w-100 h-100 img-fluid mx-auto p-1" src="{{ asset('images/scrumteam.jpg') }}"
                             alt="Product backlog">
                    </div>
                    <div class="card-body overflow-auto" style="max-height: 150px;">
                        <h5 class="card-title"><i class="fas fa-users fa-fw"></i>&nbsp; &nbsp;Scrum Team</h5>
                        @foreach ($teammembers as $teammember)
                            <li class="{{$teammember->user->id==Auth::id()?"font-weight-bold":""}}">{{$teammember->user->name . " (" . $teammember->scrumRole->title . ")"}}</li>
                        @endforeach
                    </div>
                    <div class="card-footer">
                        <a href="{{route('scrumTeam.index',['project' => $project->id])}}"
                           class="btn btn-primary">Go to teams</a>
                    </div>
                </div>
            </div>


            <div class="col-md-4 mb-5">
                <div class="card card-cascade narrower h-100">
                    <div class="card-img-top view view-cascade">
                        <img class="w-100 h-100 img-fluid mx-auto p-1" src="{{ asset('images/productbacklog.jpg') }}"
                             alt="Product backlog">
                    </div>
                    <div class="card-body overflow-auto" style="max-height: 150px;">
                        <h4 class="card-title"><i class="fas fa-list-alt"></i></i>&nbsp; &nbsp;Product Backlog</h4>
                        <p class="card-text">Add, delete and manage the project backlog elements.</p>
                    </div>
                    <div class="card-footer">
                        <a href="{{route('productBackLog.index',['project'=>$project])}}" class="btn btn-primary">Go to
                            Product Backlog</a>
                    </div>
                </div>
            </div>

            <div class="col-md-4 mb-5">
                <div class="card h-100">
                    <div class="card-img-top">
                        <img class="w-100 h-100 img-fluid mx-auto p-1" src="{{asset('images/dod.jpg')}}" alt="">
                    </div>
                    <div class="card-body overflow-auto" style="max-height: 150px;">
                        <h4 class="card-title"><i class="fas fa-tasks"></i>&nbsp; &nbsp;Definition of Done</h4>
                        <p class="card-text">When can you check a backlog element as done? manage the criteria .</p>
                    </div>
                    <div class="card-footer">
                        <a href="{{route('defOfDone.index',['project'=>$project])}}" class="btn btn-primary">Go to
                            Definition of Done</a>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="card w-100 m-2">
                <div class="row no-gutters card-header rounded">
                    <div class="col-2 col-md-1">
                        <img class="card-img p-1 rounded" src="{{ asset('images/sprint toevoegen.jpg') }}"
                             alt="Sprints">
                    </div>
                    <div class="col-10 col-md-11 d-flex align-items-center">
                        <h4 class="card-title h5 inline-block mt-2">Sprints</h4>
                        <a href="{{route('sprint.create',['project' => $project])}}" class="btn btn-primary ml-auto">Add
                            sprint</a>
                    </div>
                </div>
                <div class="card-body">
                    @foreach ($sprints as $sprint)
                        <div class="col-md-4 mb-5 inline-block h-100">
                            <div class="card h-100">
                                <div class="card-body">
                                    <h1 class="card-title h5 border-bottom border-secondary pb-2">{{$sprint->title}}</h1>
                                    <p class="card-text py-3 border-bottom border-secondary">{{$sprint->description}}</p>
                                    <p class="card-text pt-3">
                                        Startdate: {{date("d/m/Y",strtotime($sprint->startdate))}}<br>
                                        Enddate: {{date("d/m/Y", strtotime($sprint->enddate))}}
                                    </p>
                                </div>
                                <div class="card-footer row">
                                    <div class="{{$project->roleAuth() != 3?"col-lg-4":"col-12"}} p-1">
                                        <a href="{{route('sprint.show',['project'=> $project, 'sprint'=> $sprint])}}"
                                           class="btn btn-primary btn-block">To sprint</a>
                                    </div>
                                    @if($project->roleAuth() != 3)
                                        <div class="col-lg-4 p-1">
                                            <a href="{{route('sprint.edit',['project'=> $project->id, 'sprint'=> $sprint->id])}}"
                                               class="btn btn-warning btn-block">Edit</a>
                                        </div>
                                        <div class="col-lg-4 p-1">
                                            <form method="post" action="{{route('sprint.destroy',['project'=> $project->id, 'sprint'=> $sprint->id])}}">
                                                @method('DELETE')
                                                @csrf
                                            <button type="submit" class="btn btn-danger btn-block">Delete</button>
                                            </form>
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>
@endsection


@section('Script')
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">
        google.charts.load('current', {'packages': ['gauge']});
        google.charts.setOnLoadCallback(drawGauge);

        var startdate = "{{$startdate = count($sprints)>0?$sprints[0]->startdate:$project->created_at->setTime(0,0,0)}}";
        var projectLength ={{$projectLength = date_diff(date_create($startdate),date_create($project->deadline))->format('%a')}}
        var days ={{$days = date_create('NOW')<date_create($startdate)?0:(date_create('NOW')>date_create($project->deadline)?$projectLength:date_diff(date_create('NOW'),date_create($startdate))->format('%a'))}}


        var gaugeOptions = {
            min: 0,
            max: projectLength,
            yellowFrom: Math.round(projectLength * 0.7),
            yellowTo: Math.round(projectLength * 0.85),
            redFrom: Math.round(projectLength * 0.85),
            redTo: projectLength,
            minorTicks: 5
        };
        var gauge;

        function drawGauge() {
            gaugeData = new google.visualization.DataTable();
            gaugeData.addColumn('number', days + ' days');
            gaugeData.addRows(1);
            gaugeData.setCell(0, 0, days);

            gauge = new google.visualization.Gauge(document.getElementById('gauge_div'));
            gauge.draw(gaugeData, gaugeOptions);
        }
    </script>
@endsection

resources/views/sprintDashboard.blade.php
@extends('layouts.layout')

@section('title')
    Sprint Dashboard
@endsection

@section('content')
    <header class="bg-primary py-5 mb-5">
        <div class="container h-100">
            <div class="row h-100 align-items-center">
                <div class="col-lg-12">
                    <h1 class="display-4 text-white mt-5 mb-2">Sprint Dashboard</h1>
                </div>
            </div>
        </div>
    </header>

    <div class="container">
        <div class="row">
            <div class="col-md-8 mb-5">
                <h2>Sprint</h2>
                <hr>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. A deserunt neque tempore recusandae animi soluta quasi? Asperiores rem dolore eaque vel, porro, soluta unde debitis aliquam laboriosam. Repellat explicabo, maiores!</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Omnis optio neque consectetur consequatur magni in nisi, natus beatae quidem quam odit commodi ducimus totam eum, alias, adipisci nesciunt voluptate. Voluptatum.</p>
                <a class="btn btn-primary" href="#">More about Sprint</a>
            </div>
            <div class="col-md-4 mb-5">
                <h2>Teamleden</h2>
                <hr>
                <address>
                    <br> Naam 1
                    <br> Naam 2
                    <br> Naam 3
                    <br> Naam 4
                    <br> Naam 5
                    <br> Naam 6
                </address>
            </div>
        </div>

        <!-- /.row -->
        <div class="row">
            <div class="col-md-4 mb-5">
                <div class="card h-100">
                    <img class="card-img-top" src="{{ asset('images/dailyStandUp.jpg') }}" alt="">
                    <div class="card-body">
                        <h4 class="card-title"><i class="fas fa-comments"></i>&nbsp; &nbsp;Daily Stand up</h4>
                        <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente esse necessitatibus neque sequi doloribus.</p>
                    </div>
                    <div class="card-footer">
                        <a href="{{route('dailyStandUp.index',['project'=> $project, 'sprint'=> $sprint])}}" class="btn btn-primary">Go to Daily stand up</a>
                    </div>
                </div>
            </div>

            <div class="col-md-4 mb-5">
                <div class="card h-100">
                    <img class="card-img-top" src="{{ asset('images/sprintReview.png') }}" alt="">
                    <div class="card-body">
                        <h4 class="card-title"><i class="fas fa-clipboard-check"></i>&nbsp; &nbsp;Sprint review</h4>
                        <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente esse necessitatibus neque sequi doloribus totam ut praesentium aut.</p>
                    </div>
                    <div class="card-footer">
                        <a href="{{route('review.index',['project'=> $project->id, 'sprint'=> $sprint->id, 'review'=>$review=1])}}" class="btn btn-primary">Go to Sprint review</a>
                    </div>
                </div>
            </div>

            <div class="col-md-4 mb-5">
                <div class="card h-100">
                    <img class="card-img-top" src="{{ asset('images/scrumBoard.png') }}" alt="">
                    <div class="card-body">
                        <h4 class="card-title"><i class="fas fa-chalkboard"></i>&nbsp; &nbsp;Scrum board</h4>
                        <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente esse necessitatibus neque.</p>
                    </div>
                    <div class="card-footer">
                        <a href="{{route('scrumBoard.index',['project'=> $project->id, 'sprint'=> $sprint->id])}} " class="btn btn-primary">Go to Scrum Board</a>
                    </div>
                </div>
            </div>

        </div>

        <div class="row justify-content-center">

            <div class="col-md-4 mb-5" id="columnSprintDashboard1">
                <div class="card h-100">
                    <img class="card-img-top" src="{{ asset('images/sprintRetrospective.jpg') }}" alt="">
                    <div class="card-body">
                        <h4 class="card-title"><i class="fas fa-reply"></i>&nbsp; &nbsp; Retrospective</h4>
                        <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente esse necessitatibus neque sequi doloribus.</p>
                    </div>
                    <div class="card-footer">
                        <a href="{{route('retrospective.index',['project'=> $project->id, 'sprint'=> $sprint->id])}}" class="btn btn-primary">Go to Retrospective</a>
                    </div>
                </div>
            </div>

            <div class="col-md-4 mb-5 sprintDashboard" id="columnSprintDashboard2">
                <div class="card h-100">
                    <img class="card-img-top" src="{{ asset('images/sprintbacklog.jpg') }}" alt="">
                    <div class="card-body">
                        <h4 class="card-title"><i class="fas fa-stream"></i>&nbsp; &nbsp;Sprintbacklog</h4>
                        <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente esse necessitatibus neque sequi doloribus.</p>
                    </div>
                    <div class="card-footer">
                        <a href="{{route('sprintBacklog.index',['project'=> $project->id, 'sprint'=> $sprint->id])}}" class="btn btn-primary">Go to Sprintbacklog</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/standUpAnswer.blade.php
@extends('layouts.layout')

@section('title')
    Daily StandUp
@endsection

@section('content')

    <div class="shadow overflow-hidden sm:rounded-md py-2">
        @error('questionId')
        <div class="row px-4 pt-4 pb-2 bg-white sm:p-6">
            <p class='text-sm text-red-600 px-4 mt-2'>{{ $message }}</p>
        </div>
        @enderror
        @foreach($dailyStandUp->questions as $question)
            @if(count($question->usersAnswers())==0 || (isset($answer) && $question->usersAnswers()[0]==$answer ))
                <form method="POST"
                      action="{{isset($answer)?route('standUpAnswer.update',['project'=>$project,'sprint'=>$sprint, 'dailyStandUp'=>$dailyStandUp,'standUpAnswer'=>$answer]):route('standUpAnswer.store',['project'=>$project,'sprint'=>$sprint, 'dailyStandUp'=>$dailyStandUp])}}">
                    @csrf
                    @if(isset($answer))
                        @method('PUT')
                    @endif
                    <div class="row px-4 pt-4 pb-2 bg-white sm:p-6">
                        <label class="block px-3 font-medium text-sm text-gray-700" for="question{{$question->id}}">
                            {{$question->question}}
                        </label>
                        <input type="hidden" name="questionId" value="{{$question->id}}">
                        <textarea class="form-input rounded-md shadow-sm mx-4 mt-1 block w-full"
                                  id="question{{$question->id}}" style="white-space: pre-wrap;"
                                  name="question{{$question->id}}">{{is_null(old('question'.$question->id))?isset($answer)?$answer->answer:'':old('question'.$question->id)}}</textarea>
                        @error('question'.$question->id)
                        <p class='text-sm text-red-600 px-4 mt-2'>{{ $message }}</p>
                        @enderror
                    </div>

                    <div
                        class="flex {{$dailyStandUp->questions->last() === $question?"":"border-bottom border-secondary"}} items-center justify-end px-4 pb-3 pt-1 bg-gray-50 text-right sm:px-6">
                        <button type="submit"
                                class="inline-flex items-center px-4 py-2 bg-gray-800 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700 active:bg-gray-900 focus:outline-none focus:border-gray-900 focus:shadow-outline-gray disabled:opacity-25 transition ease-in-out duration-150">
                            Save
                        </button>
                    </div>
                </form>
            @else

                    <div class="row px-4 pt-4 pb-2 bg-white sm:p-6">
                        <label class="block px-3 font-medium text-sm text-gray-700" for="question{{$question->id}}">
                            {{$question->question}}
                        </label>
                        <div class="form-input rounded-md shadow-sm mx-4 mt-1 block w-full"
                                  id="question{{$question->id}}" style="white-space: pre-wrap;">{{$question->usersAnswers()[0]->answer}}</div>
                    </div>

                    <div
                        class="flex {{$dailyStandUp->questions->last() === $question?"":"border-bottom border-secondary"}} items-center justify-end px-4 pb-3 pt-1 bg-gray-50 text-right sm:px-6">
                        <a class="btn edit-button inline-flex items-center mx-2 px-4 py-2 border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest focus:outline-none focus:shadow-outline-gray disabled:opacity-25 transition ease-in-out duration-150"
                           href="{{route('standUpAnswer.edit',['project'=>$project,'sprint'=>$sprint, 'dailyStandUp'=>$dailyStandUp, 'standUpAnswer'=>$question->usersAnswers()[0]])}}">
                            Edit
                        </a>
                        <form method="POST" action="{{route('standUpAnswer.destroy',['project'=>$project,'sprint'=>$sprint, 'dailyStandUp'=>$dailyStandUp, 'standUpAnswer'=>$question->usersAnswers()[0]])}}">
                            @csrf
                            @method('DELETE')
                            <button type="submit"
                                    class="del-but inline-flex items-center px-4 py-2 bg-gray-800 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700 active:bg-gray-900 focus:outline-none focus:border-gray-900 focus:shadow-outline-gray disabled:opacity-25 transition ease-in-out duration-150">
                                Delet
                            </button>
                        </form>
                    </div>
            @endif
        @endforeach
    </div>

@endsection